Bug 1251030 - [abrt] webkitgtk4: get(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: get(): WebKitWebProcess killed by SIGSEGV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6107489fe119bee8b520dc8f53b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 08:45 EDT by Braden McDaniel
Modified: 2015-09-01 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.8.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 08:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (70.22 KB, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: core_backtrace (3.10 KB, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: dso_list (13.28 KB, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: environ (1.48 KB, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: maps (66.45 KB, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: mountinfo (4.21 KB, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: open_fds (1.31 KB, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details
File: proc_pid_status (959 bytes, text/plain)
2015-08-06 08:45 EDT, Braden McDaniel
no flags Details

  None (edit)
Description Braden McDaniel 2015-08-06 08:45:41 EDT
Version-Release number of selected component:
webkitgtk4-2.8.4-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 77
crash_function: get
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     13973
kernel:         4.0.8-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get at /usr/include/c++/5.1.1/bits/unique_ptr.h:305
 #1 release at /usr/include/c++/5.1.1/bits/unique_ptr.h:327
 #2 unique_ptr at /usr/include/c++/5.1.1/bits/unique_ptr.h:206
 #3 takeFirst at /usr/src/debug/webkitgtk-2.8.4/Source/WTF/wtf/Deque.h:422
 #4 IPC::Connection::dispatchOneMessage at /usr/src/debug/webkitgtk-2.8.4/Source/WebKit2/Platform/IPC/Connection.cpp:896
 #5 operator() at /usr/include/c++/5.1.1/functional:2271
 #6 WTF::RunLoop::performWork at /usr/src/debug/webkitgtk-2.8.4/Source/WTF/wtf/RunLoop.cpp:104
 #7 operator() at /usr/include/c++/5.1.1/functional:2271
 #8 WTF::GMainLoopSource::voidCallback at /usr/src/debug/webkitgtk-2.8.4/Source/WTF/wtf/gobject/GMainLoopSource.cpp:365
 #9 WTF::GMainLoopSource::voidSourceCallback at /usr/src/debug/webkitgtk-2.8.4/Source/WTF/wtf/gobject/GMainLoopSource.cpp:456
Comment 1 Braden McDaniel 2015-08-06 08:45:44 EDT
Created attachment 1059919 [details]
File: backtrace
Comment 2 Braden McDaniel 2015-08-06 08:45:45 EDT
Created attachment 1059920 [details]
File: cgroup
Comment 3 Braden McDaniel 2015-08-06 08:45:46 EDT
Created attachment 1059921 [details]
File: core_backtrace
Comment 4 Braden McDaniel 2015-08-06 08:45:47 EDT
Created attachment 1059922 [details]
File: dso_list
Comment 5 Braden McDaniel 2015-08-06 08:45:48 EDT
Created attachment 1059923 [details]
File: environ
Comment 6 Braden McDaniel 2015-08-06 08:45:48 EDT
Created attachment 1059924 [details]
File: limits
Comment 7 Braden McDaniel 2015-08-06 08:45:50 EDT
Created attachment 1059925 [details]
File: maps
Comment 8 Braden McDaniel 2015-08-06 08:45:50 EDT
Created attachment 1059926 [details]
File: mountinfo
Comment 9 Braden McDaniel 2015-08-06 08:45:51 EDT
Created attachment 1059927 [details]
File: namespaces
Comment 10 Braden McDaniel 2015-08-06 08:45:52 EDT
Created attachment 1059928 [details]
File: open_fds
Comment 11 Braden McDaniel 2015-08-06 08:45:53 EDT
Created attachment 1059929 [details]
File: proc_pid_status
Comment 12 Fedora Update System 2015-08-25 11:40:02 EDT
webkitgtk4-2.8.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14258
Comment 13 Fedora Update System 2015-08-26 13:27:10 EDT
webkitgtk4-2.8.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update webkitgtk4'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14258
Comment 14 Fedora Update System 2015-09-01 08:19:14 EDT
webkitgtk4-2.8.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.